import { Column, Entity, ManyToOne, OneToMany } from 'typeorm';
import { BaseModel } from '../../config/basemodel.entity';
import { statusTransaction, typeTransaction } from '../../helper/enum-list';
import { ProductHistoryPrice } from '../../product/entities/product-history-price.entity';
import { UserDetail } from '../../users/entities/user_detail.entity';
import { TransactionJournal } from './transaction-journal.entity';

@Entity()
export class CheckBillHistory extends BaseModel {
  @Column()
  trx_id: string;

  @Column()
  partner_trx_id: string;

  @Column({ nullable: true })
  amount: number;

  @Column({ nullable: true })
  admin_price: number;

  @Column({
    type: 'uuid',
    nullable: true,
  })
  user: string;

  @Column({
    nullable: true,
  })
  destination: string;

  @Column({
    nullable: true,
  })
  request_json: string;

  @Column({
    nullable: true,
  })
  callback_json: string;

  @Column()
  product_code: string;

  @Column()
  status: string;

  @ManyToOne(() => ProductHistoryPrice, (product) => product.id)
  product_price: ProductHistoryPrice;
}
