import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from '../../config/basemodel.entity';

@Entity()
export class Partner extends BaseModel {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column()
  name: string;

  @Column({
    nullable: true,
  })
  code: string;

  @Column()
  npwp: string;

  @Column()
  address: string;

  @Column({
    nullable: true,
  })
  phone_number: string;

  @Column({ default: true })
  status: boolean;

  @Column({
    default: '',
  })
  callback_url: string;
}
