import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from '../../config/basemodel.entity';
import { COA } from '../../transaction/entities/coa.entity';

@Entity()
export class Supplier extends BaseModel {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column()
  name: string;

  @Column()
  code: string;

  @Column()
  status: boolean;

  @Column({
    nullable: true
  })
  url: string;

  @Column({
    nullable: true
  })
  irs_id: string;

  @Column({
    nullable: true
  })
  irs_pin: string;

  @Column({
    nullable: true
  })
  irs_user: string;

  @Column({
    nullable: true
  })
  irs_pass: string;

  coa: COA;

  coa_undistribute: COA;
}
